Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.plugin.terminallocation.mlp.management
Interface TerminalLocationMLPMBean

public interface TerminalLocationMLPMBean

MBean interface for TL MLP traffic path.

  Copyright © 2008 Oracle Corporation. All Rights Reserved.

Field Summary
`static String` | `characterEncoding` MLP character encoding.
`static int` | `cleanupInterval` Cleanup trigger interval in seconds.
`static boolean` | `decimalDegreesToDMSH` Tells whether conversion from decimal format -> DMSH (Degrees Minutes Seconds Hemisphere) is needed or not for coordinates x and y.
`static int` | `maxDuration` Set the maximum notification duration in seconds.
`static boolean` | `mlpAltitudeSupported` MLP altitude supported status.
`static boolean` | `mlpLocationEstimates` MLP location estimates status.
`static String` | `mlpPushAddr` The MLP Push Address.
`static String` | `mlpRequestType` MLP request type.
`static String` | `mlpServerUrl` The MLP server url.
`static String` | `mlpSrsName` MLP Spatial Reference System (SRS) name.
`static String` | `mlpVersionSupported` MLP version supported.
`static String` | `password` MLP password.
`static String` | `requestor` MLP requestor.
`static int` | `requestTimeout` The MLP request time out in seconds.
`static String` | `serviceId` MLP serviceId.
`static String` | `username` MLP username.
`static boolean` | `xmlDoctypeTagUsage` MLP XML tag usage.

Method Summary
`String` | `getCharacterEncoding()`
`int` | `getCleanupInterval()`
`boolean` | `getDecimalDegreesToDMSH()`
`int` | `getMaxDuration()`
`boolean` | `getMlpAltitudeSupported()`
`boolean` | `getMlpLocationEstimates()`
`String` | `getMlpPushAddr()`
`String` | `getMlpRequestType()`
`String` | `getMlpServerUrl()`
`String` | `getMlpSrsName()`
`String` | `getMlpVersionSupported()`
`String` | `getPassword()`
`String` | `getRequestor()`
`int` | `getRequestTimeout()`
`String` | `getServiceId()`
`String` | `getUsername()`
`boolean` | `getXmlDoctypeTagUsage()`
`void` | `setCharacterEncoding(String encoding)`
`void` | `setCleanupInterval(int interval)`
`void` | `setDecimalDegreesToDMSH(boolean decimalDegToDMSH)`
`void` | `setMaxDuration(int duration)`
`void` | `setMlpAltitudeSupported(boolean supported)`
`void` | `setMlpLocationEstimates(boolean locationEstimates)`
`void` | `setMlpPushAddr(String mlpPushAddr)`
`void` | `setMlpRequestType(String requestType)`
`void` | `setMlpServerUrl(String mlpServerUrl)`
`void` | `setMlpSrsName(String srsName)`
`void` | `setMlpVersionSupported(String version)`
`void` | `setPassword(String password)`
`void` | `setRequestor(String requestor)`
`void` | `setRequestTimeout(int requestTimeout)`
`void` | `setServiceId(String serviceId)`
`void` | `setUsername(String username)`
`void` | `setXmlDoctypeTagUsage(boolean usage)`

Field Detail

### characterEncoding

    public static final String characterEncoding

  MLP character encoding. This is a share value.

### cleanupInterval

    public static final int cleanupInterval

  Cleanup trigger interval in seconds. This is a share value. Format: int [0-3600]

  See Also:
    Constant Field Values

### decimalDegreesToDMSH

    public static final boolean decimalDegreesToDMSH

  Tells whether conversion from decimal format -> DMSH (Degrees Minutes Seconds Hemisphere) is needed or not for coordinates x and y. This is a share value. Format: Boolean [true | false], not case sensitive, all strings other than true are treated as false.

  See Also:
    Constant Field Values

### maxDuration

    public static final int maxDuration

  Set the maximum notification duration in seconds. This is a share value. Format: int [>0]

  See Also:
    Constant Field Values

### mlpAltitudeSupported

    public static final boolean mlpAltitudeSupported

  MLP altitude supported status. This is a share value. Format: Boolean [true | false], not case sensitive, all strings other than true are treated as false.

  See Also:
    Constant Field Values

### mlpLocationEstimates

    public static final boolean mlpLocationEstimates

  MLP location estimates status. This is a share value. Format: Boolean [true | false], not case sensitive, all strings other than true are treated as false.

  See Also:
    Constant Field Values

### mlpPushAddr

    public static final String mlpPushAddr

  The MLP Push Address. This is a local value. Format: URL

### mlpRequestType

    public static final String mlpRequestType

  MLP request type. Format: String [eme_lir | slir]

### mlpServerUrl

    public static final String mlpServerUrl

  The MLP server url. This is a share value. Format: URL

### mlpSrsName

    public static final String mlpSrsName

  MLP Spatial Reference System (SRS) name. This is a share value.

### mlpVersionSupported

    public static final String mlpVersionSupported

  MLP version supported. Must be either '3.0.0' or '3.2.0'. This is a share value. Format: String [3.0.0 |3.2.0]

### password

    public static final String password

  MLP password. This is a share value.

### requestor

    public static final String requestor

  MLP requestor. This is a share value.

### requestTimeout

    public static final int requestTimeout

  The MLP request time out in seconds. This is a share value. Format: int [0-3600]

  See Also:
    Constant Field Values

### serviceId

    public static final String serviceId

  MLP serviceId. This is a share value.

### username

    public static final String username

  MLP username. This is a share value.

### xmlDoctypeTagUsage

    public static final boolean xmlDoctypeTagUsage

  MLP XML tag usage. This is a share value. Format: Boolean [true | false], not case sensitive, all strings other than true are treated as false.

Method Detail

### getCharacterEncoding

    public String getCharacterEncoding()
                                throws ManagementException

  Throws:
    `ManagementException`

### getCleanupInterval

    public int getCleanupInterval()
                           throws ManagementException

  Throws:
    `ManagementException`

### getDecimalDegreesToDMSH

    public boolean getDecimalDegreesToDMSH()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getMaxDuration

    public int getMaxDuration()
                       throws ManagementException

  Throws:
    `ManagementException`

### getMlpAltitudeSupported

    public boolean getMlpAltitudeSupported()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getMlpLocationEstimates

    public boolean getMlpLocationEstimates()
                                    throws ManagementException

  Throws:
    `ManagementException`

### getMlpPushAddr

    public String getMlpPushAddr()
                          throws ManagementException

  Throws:
    `ManagementException`

### getMlpRequestType

    public String getMlpRequestType()
                             throws ManagementException

  Throws:
    `ManagementException`

### getMlpServerUrl

    public String getMlpServerUrl()
                           throws ManagementException

  Throws:
    `ManagementException`

### getMlpSrsName

    public String getMlpSrsName()
                         throws ManagementException

  Throws:
    `ManagementException`

### getMlpVersionSupported

    public String getMlpVersionSupported()
                                  throws ManagementException

  Throws:
    `ManagementException`

### getPassword

    public String getPassword()
                       throws ManagementException

  Throws:
    `ManagementException`

### getRequestor

    public String getRequestor()
                        throws ManagementException

  Throws:
    `ManagementException`

### getRequestTimeout

    public int getRequestTimeout()
                          throws ManagementException

  Throws:
    `ManagementException`

### getServiceId

    public String getServiceId()
                        throws ManagementException

  Throws:
    `ManagementException`

### getUsername

    public String getUsername()
                       throws ManagementException

  Throws:
    `ManagementException`

### getXmlDoctypeTagUsage

    public boolean getXmlDoctypeTagUsage()
                                  throws ManagementException

  Throws:
    `ManagementException`

### setCharacterEncoding

    public void setCharacterEncoding(String encoding)
                              throws ManagementException

  Throws:
    `ManagementException`

### setCleanupInterval

    public void setCleanupInterval(int interval)
                            throws ManagementException

  Throws:
    `ManagementException`

### setDecimalDegreesToDMSH

    public void setDecimalDegreesToDMSH(boolean decimalDegToDMSH)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setMaxDuration

    public void setMaxDuration(int duration)
                        throws ManagementException

  Throws:
    `ManagementException`

### setMlpAltitudeSupported

    public void setMlpAltitudeSupported(boolean supported)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setMlpLocationEstimates

    public void setMlpLocationEstimates(boolean locationEstimates)
                                 throws ManagementException

  Throws:
    `ManagementException`

### setMlpPushAddr

    public void setMlpPushAddr(String mlpPushAddr)
                        throws ManagementException

  Throws:
    `ManagementException`

### setMlpRequestType

    public void setMlpRequestType(String requestType)
                           throws ManagementException

  Throws:
    `ManagementException`

### setMlpServerUrl

    public void setMlpServerUrl(String mlpServerUrl)
                         throws ManagementException

  Throws:
    `ManagementException`

### setMlpSrsName

    public void setMlpSrsName(String srsName)
                       throws ManagementException

  Throws:
    `ManagementException`

### setMlpVersionSupported

    public void setMlpVersionSupported(String version)
                                throws ManagementException

  Throws:
    `ManagementException`

### setPassword

    public void setPassword(String password)
                     throws ManagementException

  Throws:
    `ManagementException`

### setRequestor

    public void setRequestor(String requestor)
                      throws ManagementException

  Throws:
    `ManagementException`

### setRequestTimeout

    public void setRequestTimeout(int requestTimeout)
                           throws ManagementException

  Throws:
    `ManagementException`

### setServiceId

    public void setServiceId(String serviceId)
                      throws ManagementException

  Throws:
    `ManagementException`

### setUsername

    public void setUsername(String username)
                     throws ManagementException

  Throws:
    `ManagementException`

### setXmlDoctypeTagUsage

    public void setXmlDoctypeTagUsage(boolean usage)
                               throws ManagementException

  Throws:
    `ManagementException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD